package com.ssm.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;


@Component
@Configuration
public class AESConfig {
    public static String IV = "0102030405060809";
    public static String KEY = "demaygood";

    public String getIv() {
        return IV;
    }
    @Value("${aes.iv}")
    public void setIv(String iv) {
        this.IV = iv;
    }

    public String getKEY() {
        return KEY;
    }

    @Value("${aes.key}")
    public void setKEY(String key) {
        AESConfig.KEY = key;
    }
}
